Recherche


imprimer pdf

/!\ Attention !
Ce guide n'est pas valide sur une offre d'hébergement Mutualisé 2014 Veuillez à la place veuillez utiliser le guide disponible sur le lien ci dessous /!\




http://www.ovh.com/fr/g1207.configurer-php-web

PHP 5

Attention !
Ce guide n'est pas valide sur un serveur dedie, vps ou rps.


Utiliser les extensions .php avec PHP 5

Pour changer la version de PHP qui va exécuter un fichier .php il faut placer un .htaccess sur votre site.
Avec le bloc note ou tout autre éditeur de texte simple, tapez :

pour PHP 5.2 :
SetEnv PHP_VER 5

pour PHP 5.3 :
SetEnv PHP_VER 5_3

pour PHP 5.4 :
SetEnv PHP_VER 5_4



Enregistrez ce fichier et placez le sur votre FTP dans le répertoire concerné (par exemple /www/) et renommez-le en .htaccess après.
Tous les fichiers .php liés seront alors exécutés avec la version 5 de PHP.

Nous vous recommandons l'utilisation de Notepad++ comme éditeur de texte



  • Il existe une autre méthode, il vous faut simplement renommer vos scripts nécessitant PHP 5 avec l'extension .php5 , par exemple :

script.php5


Permissions et envois fichiers PHP

N'oubliez pas de transférer via FTP vos scripts :

En savoir plus sur le transfert FTP : UtilisationFtp.

PHP fonctionne en suexec, c'est-à-dire qu'il est exécuté avec les droits de votre compte FTP.
Vous avez via PHP exactement les mêmes droits que via FTP. Vous n'avez donc pas besoin de mettre les permissions (chmod) supérieures à 755.

En savoir plus sur les permissions : FtpProbleme.

Si votre script n'a pas les bonnes permissions ou que vous avez une erreur 500, c'est surement dû à la configuration de vos scripts. Voici le guide qui va vous aider à trouver l'origine du problème : InternalServerError.

Note : Actuellement l'extension .beta correspond aux fichiers PHP 5 mais cette extension servira en fait aux différents tests des nouvelles releases de PHP